Articles on: Public API

Referral

Get a customer's referral code

Retrieve (or automatically generate, if not yet created) the customer's referral code.


GET /rest-api/v1/referral


Query parameters

Name

Type

Description

customerIdentifier

string

Shopify customer ID or email (required)


Example request

curl --request GET \
--url 'https://api.bloy.io/rest-api/v1/referral?customerIdentifier=customer@example.com' \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"data": {
"referralCode": "ABC123"
}
}

List referees


GET /rest-api/v1/referral/referee


Query parameters

Name

Type

Description

customerIdentifier

string

Shopify customer ID or email of the referrer (required)

page

int

Page number (required)

pageSize

int

Number of results per page (required, max 250)


Example request

curl --request GET \
--url 'https://api.bloy.io/rest-api/v1/referral/referee?customerIdentifier=customer@example.com&page=1&pageSize=20' \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"data": [
{
"id": "664f1a2b3c4d5e6f7a8b9c60",
"status": true,
"referralCode": "XYZ789",
"birthday": null,
"shopifyCustomerId": "7654321098766",
"points": 50,
"email": "referee@example.com",
"latestActivity": "2026-06-05T12:00:00.000Z",
"createdAt": "2026-06-01T08:00:00.000Z",
"updatedAt": "2026-06-05T12:00:00.000Z"
}
]
}


Updated on: 11/06/2026

Was this article helpful?

Share your feedback

Cancel

Thank you!